Skip to content

Get user action log

You can select request ID, client IP, user ID, application ID, start timestamp, request success, and paging parameters to get user action log

Method name

ManagementClient.getUserActionLogs

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
requestIdstringNo-Request IDxxx
clientIpstringno-client IPxxx
eventTypestringno-event typelogin
userIdstringno-user IDxxx
appIdstringno-application IDxxx
startnumberno-start timestamp11
endnumberno-end timestamp111
successbooleanno-request successtrue
pagination<a ListWebhooksDtono-pagination

sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getUserActionLogs({
    requestId: "requestId",
    eventType: "login",
    userId: "userId1",
    appId: "appId1",
    success: true,
    pagination: {
      page: 1,
      limit: 10,
    },
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: UserActionLogRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type.
requestIdstringRequest ID. Returned when the request fails.
data<a UserActionLogRespDataResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 1,
    "list": {
      "userId": "xxx",
      "userAvatar": "https://files.authing.co/authing-console/default-app-logo.png",
      "userDisplayName": "Zhang San",
      "userLoginsCount": 3,
      "appId": "xxx",
      "appName": "Sample application",
      "clientIp": "127.0.0.1",
      "eventType": "login",
      "eventDetail": "Login account「 test@example.com 」",
      "success": true,
      "appLoginUrl": "https://example.genauth.ai/login",
      "appLogo": "https://files.authing.co/authing-console/default-app-logo.png",
      "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36(KHTML, like Gecko) Chrome/104.0.0.0 Safari/537.36",
      "parsedUserAgent": {
        "device": "Desktop",
        "browser": "Chrome",
        "os": "Windows"
      },
      "geoip": {
        "location": { "lon": 116.3889, "lat": 39.9288 },
        "country_name": "China",
        "country_code2": "CN",
        "country_code3": "CN",
        "region_name": "Beijing",
        "region_code": "BJ",
        "city_name": "Beijing",
        "continent_code": "AS",
        "timezone": "Asia/Shanghai"
      },
      "timestamp": "2022-09-20T08:55:00.188+0800",
      "requestId": "b63b9772-384c-4f2d-981b-01d1feed964d"
    }
  }
}

Data structure### ListWebhooksDto

NameTypeIs it required?DescriptionSample value
pagenumbernoCurrent page number, starting from 11
limitnumbernoNumber of pages per page Items, the maximum cannot exceed 50, the default is 1010

UserActionLogRespData

NameTypeIs it required?DescriptionExample value
totalCountnumberyestotal number of records1
listarrayyesreturn list nested type: <a UserActionLogDto.

UserActionLogDto

NameTypeIs it required?DescriptionExample value
userIdstringyesuser IDxxx
userAvatarstringyesUser avatarhttps://files.authing.co/authing-console/default-app-logo.png
userDisplayNamestringyesUser display name , displayed in the following user field order: nickname > username > name > givenName > familyName -> email -> phone -> idZhang San
userLoginsCountnumberyesNumber of user logins3
appIdstringyesApplication IDxxx
appNamestringyesApplication nameSample Application
clientIpstringnoClient IP, can be filtered based on the client IP at login. By default, the login history of all login IPs is not obtained.127.0.0.1
eventTypestringyesEvent type:
- login: login
- logout: logout
- register: register
- verifyMfa: verify MFA
- updateUserProfile: modify user information
- updateUserPassword: modify password
- updateUserEmail: modify email
- updateUserPhone: modify phone number
- bindMfa: bind MFA
- bindEmail: bind email
- bindPhone: bind phone number
- unbindPhone: unbind phone number
- unbindEmail: unbind email
- unbindMFA: unbind MFA
- deleteAccount: cancel account
- verifyFirstLogin: first login verification
login
eventDetailstringNoEvent detailsLogin account "test@example.com"
successbooleanYesSuccesstrue
appLoginUrlstringYesApplication login addresshttps://example.genauth.ai/login
appLogostringYesApplication Logohttps://files.authing.co/authing-console/default-app-logo.png
userAgentstringYesUser AgentMozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/104.0.0.0 Safari/537.36
parsedUserAgentYesParsed User Agent Nested type: <a ParsedUserAgent.
geoipYesGeographic location Nested type: <a GeoIp.
timestampstringyestime2022-09-20T08:55:00.188+0800
requestIdstringyesrequest IDb63b9772-384c-4f2d-981b-01d1feed964d

ParsedUserAgent

nametypeis it requireddescriptionexample value
devicestringyesdevice type usedDesktop
browserstringyesbrowser nameChrome
osstringyesoperating systemWindows

GeoIp

nametypeIs it requiredDescriptionSample value
locationyesgeographic location Nested type: <a GeoIpLocation.
country_namestringYesCountry NameChina
country_code2stringYesCountry Code 2CN
country_code3stringYesCountry Code 3CN
region_namestringYesRegion NameBeijing
region_codestringYesRegion CodeBJ
city_namestringYesCity NameBeijing
continent_codestringYesContinent CodeAS
timezonestringYesTime ZoneAsia/Shanghai

GeoIpLocation

NameTypeRequiredDescriptionSample Value
lonnumberislongitude116.3889
latnumberislatitude39.9288

Agent infrastructure for identity, memory, and web action.